# PhasicFlow: selectorStridedRange Class Reference
PhasicFlow is an open-source parallel DEM (discrete element method) package for simulating granular flow. It is developed in C++ and can be exectued on both GPU (like CUDA) and CPU.

selectorStridedRange Class Reference
Inheritance diagram for selectorStridedRange:
[legend]
Collaboration diagram for selectorStridedRange:
[legend]

## Public Member Functions

| TypeInfo ("selector<stridedRange>")
| selectorStridedRange (const pointStructure &pStruct, const dictionary &dict)
| selectorStridedRange (const word &type, const pointStructure &pStruct, const dictionary &dict)
| add_vCtor (pStructSelector, selectorStridedRange, dictionary)
| add_vCtor (pStructSelector, selectorStridedRange, word)
| ~selectorStridedRange () final=default
const uint32Vector & | selectedPoints () const final
uint32Vector & | selectedPoints () final
Public Member Functions inherited from pStructSelector
| TypeInfo ("pStructSelector")
| pStructSelector (const pointStructure &pStruct, const dictionary &UNUSED(dict))
| the dictionary contains the selector keyword and another dictionary which is used for creating selector More...
| pStructSelector (const word &type, const pointStructure &pStruct, const dictionary &UNUSED(dict))
| construct using selector type and a dictionary that contains info of selector More...
| create_vCtor (pStructSelector, dictionary,(const pointStructure &pStruct, const dictionary &dict),(pStruct, dict))
| create_vCtor (pStructSelector, word,(const word &type, const pointStructure &pStruct, const dictionary &dict),(type, pStruct, dict))
virtual | ~pStructSelector ()=default
const pointStructure & | pStruct () const
realx3Vector | selectedPointPositions () const

## Private Member Functions

void | selectAllPointsInRange ()

## Private Attributes

uint32Vector | selectedPoints_
uint32 | begin_
uint32 | end_
uint32 | stride_

## Additional Inherited Members

Static Public Member Functions inherited from pStructSelector
static uniquePtr< pStructSelector > | create (const pointStructure &pStruct, const dictionary &dict)
static uniquePtr< pStructSelector > | create (const word &type, const pointStructure &pStruct, const dictionary &dict)
Protected Attributes inherited from pStructSelector
const pointStructure & | pStruct_

## Detailed Description

Definition at line 34 of file selectorStridedRange.hpp.

## Constructor & Destructor Documentation

## selectorStridedRange() [1/2]

selectorStridedRange | ( | const pointStructure & | pStruct,
|  | const dictionary & | dict
| ) |  |

Definition at line 40 of file selectorStridedRange.cpp.

## selectorStridedRange() [2/2]

selectorStridedRange | ( | const word & | type,
|  | const pointStructure & | pStruct,
|  | const dictionary & | dict
| ) |  |

Definition at line 52 of file selectorStridedRange.cpp.

References selectorStridedRange::begin_, selectorStridedRange::end_, pFlow::max(), pFlow::min(), pStructSelector::pStruct(), selectorStridedRange::selectAllPointsInRange(), internalPoints::size(), and selectorStridedRange::stride_.

Here is the call graph for this function:

## ~selectorStridedRange()

~selectorStridedRange | ( |  | ) |

finaldefault

## Member Function Documentation

## selectAllPointsInRange()

void selectAllPointsInRange | ( |  | ) |

private

Definition at line 25 of file selectorStridedRange.cpp.

References selectorStridedRange::begin_, selectorStridedRange::end_, Vector< T, Allocator >::reserve(), selectorStridedRange::selectedPoints_, and selectorStridedRange::stride_.

Referenced by selectorStridedRange::selectorStridedRange().

Here is the call graph for this function:
Here is the caller graph for this function:

## TypeInfo()

TypeInfo | ( | "selector<stridedRange>" |  | ) |

## add_vCtor() [1/2]

add_vCtor | ( | pStructSelector | ,
|  | selectorStridedRange | ,
|  | dictionary |
| ) |  |

## add_vCtor() [2/2]

add_vCtor | ( | pStructSelector | ,
|  | selectorStridedRange | ,
|  | word |
| ) |  |

## selectedPoints() [1/2]

const uint32Vector& selectedPoints | ( |  | ) | const

inlinefinalvirtual

Implements pStructSelector.

Definition at line 84 of file selectorStridedRange.hpp.

References selectorStridedRange::selectedPoints_.

## selectedPoints() [2/2]

uint32Vector& selectedPoints | ( |  | ) |

inlinefinalvirtual

Implements pStructSelector.

Definition at line 89 of file selectorStridedRange.hpp.

References selectorStridedRange::selectedPoints_.

## Member Data Documentation

## selectedPoints_

uint32Vector selectedPoints_

private

Definition at line 40 of file selectorStridedRange.hpp.

Referenced by selectorStridedRange::selectAllPointsInRange(), and selectorStridedRange::selectedPoints().

## begin_

uint32 begin_

private

Definition at line 43 of file selectorStridedRange.hpp.

Referenced by selectorStridedRange::selectAllPointsInRange(), and selectorStridedRange::selectorStridedRange().

## end_

uint32 end_

private

Definition at line 46 of file selectorStridedRange.hpp.

Referenced by selectorStridedRange::selectAllPointsInRange(), and selectorStridedRange::selectorStridedRange().

## stride_

uint32 stride_

private

Definition at line 49 of file selectorStridedRange.hpp.

Referenced by selectorStridedRange::selectAllPointsInRange(), and selectorStridedRange::selectorStridedRange().

The documentation for this class was generated from the following files:

- src/phasicFlow/structuredData/pointStructure/selectors/selectorStridedRange/selectorStridedRange.hpp
- src/phasicFlow/structuredData/pointStructure/selectors/selectorStridedRange/selectorStridedRange.cpp